com.threerings.whirled.data

## Class ScenePlace

- java.lang.Object
- - com.threerings.io.SimpleStreamableObject
  - - com.threerings.crowd.data.Place
    - - com.threerings.whirled.data.ScenePlace

All Implemented Interfaces:
  com.threerings.io.Streamable

    public class ScenePlace
    extends com.threerings.crowd.data.Place

Extends `Place` with scene information.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.threerings.io.Streamable

`com.threerings.io.Streamable.Closure`

### Field Summary

Fields
`int` `sceneId` The id of the scene occupied by the body.

### Fields inherited from class com.threerings.crowd.data.Place

`placeOid`

### Constructor Summary

Constructors
Constructor and Description
`ScenePlace(int sceneOid, int sceneId)` Creates a scene place with the supplied `SceneObject` oid and scene id.

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getSceneId(com.threerings.crowd.data.BodyObject bobj)` Returns the scene id occupied by the supplied body or -1 if the body is not in a scene.
`static int` `getSceneId(com.threerings.crowd.data.Place place)` Returns the scene id for the supplied place or -1 if the place is null or not a scene place.

### Methods inherited from class com.threerings.crowd.data.Place

`equals, hashCode`

### Methods inherited from class com.threerings.io.SimpleStreamableObject

`toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sceneId

    public int sceneId

The id of the scene occupied by the body.

### Constructor Detail

#### ScenePlace

    public ScenePlace(int sceneOid,
                      int sceneId)

Creates a scene place with the supplied `SceneObject` oid and scene id.

### Method Detail

#### getSceneId

    public static int getSceneId(com.threerings.crowd.data.Place place)

Returns the scene id for the supplied place or -1 if the place is null or not a scene place.

#### getSceneId

    public static int getSceneId(com.threerings.crowd.data.BodyObject bobj)

Returns the scene id occupied by the supplied body or -1 if the body is not in a scene.